

 use  "libro_cad_data1228.dta", clear
 drop if cad_hist==1
 /*number of cases*/
stset ed_Arrhythmia, fail(ca_Arrhythmia== 1)   enter(bc_diagdate)  origin(bc_diagdate)  exit(time mdy(12,31,2017)) scale (365.24) id (studiepersonid)
tab radio _d
tab chemo_cate _d
tab horm_adjuvant_type _d
tab her2_status_def _d

stset ed_Heart_fail, fail(ca_Heart_fail== 1)   enter(bc_diagdate)  origin(bc_diagdate)  exit(time mdy(12,31,2017)) scale (365.24) id (studiepersonid)
tab radio _d
tab chemo_cate _d
tab horm_adjuvant_type _d
tab her2_status_def _d

stset ed_IHD, fail(ca_IHD== 1)   enter(bc_diagdate)  origin(bc_diagdate)  exit(time mdy(12,31,2017)) scale (365.24) id (studiepersonid)
tab radio _d
tab chemo_cate _d
tab horm_adjuvant_type _d
tab her2_status_def _d
/*results from multiple imputation for Table 3*/
mi set mlong
mi register imputed  horm_adjuvant_type chemo_cate 
mi impute chained (mlogit if  chemo_cate!=0, iterate(200) augment )  chemo_cate (mlogit if  horm_adjuvant_type!=0, iterate(200) augment ) horm_adjuvant_type  =age_diagnosis i.radio i.size_cat i.calendar i.stage i.menopause_cat i.cc_index_cat i.surgery_cat  i.his_hypertension i.his_smoking , rseed(5)  add(10) replace
 mi stset ed_Arrhythmia, fail(ca_Arrhythmia== 1)   enter(bc_diagdate)  origin(bc_diagdate)  exit(time mdy(12,31,2017)) scale (365.24) id (studiepersonid)
 mi estimate,eform :stcox ib1.radio age_diagnosis i.calendar 
  mi estimate,eform :stcox i.chemo_cate age_diagnosis i.calendar 
 mi estimate,eform :stcox i.horm_adjuvant_type age_diagnosis i.calendar 
 mi estimate,eform :stcox i.her2_status_def age_diagnosis i.calendar 
 mi estimate,eform :stcox ib1.radio i.horm_adjuvant_type i.chemo_cate age_diagnosis i.calendar i.stage i.menopause_cat i.cc_index_cat  i.surgery_cat  i.size_cat i.his_hypertension i.his_smoking  
 mi estimate,eform :stcox i.her2_status_def ib1.radio i.horm_adjuvant_type i.chemo_cate age_diagnosis i.calendar i.stage i.menopause_cat i.cc_index_cat  i.surgery_cat  i.size_cat i.his_hypertension i.his_smoking  

 
 mi stset ed_Heart_fail, fail(ca_Heart_fail== 1)   enter(bc_diagdate)  origin(bc_diagdate)  exit(time mdy(12,31,2017)) scale (365.24) id (studiepersonid)
 mi estimate,eform :stcox ib1.radio age_diagnosis i.calendar 
  mi estimate,eform :stcox i.chemo_cate age_diagnosis i.calendar 
   mi estimate,eform :stcox i.horm_adjuvant_type age_diagnosis i.calendar  
    mi estimate,eform :stcox i.her2_status_def age_diagnosis i.calendar 
 mi estimate,eform :stcox ib1.radio i.horm_adjuvant_type i.chemo_cate age_diagnosis i.calendar i.stage i.menopause_cat i.cc_index_cat  i.surgery_cat  i.size_cat i.his_hypertension i.his_smoking  
 mi estimate,eform :stcox i.her2_status_def ib1.radio i.horm_adjuvant_type i.chemo_cate age_diagnosis i.calendar i.stage i.menopause_cat i.cc_index_cat  i.surgery_cat  i.size_cat i.his_hypertension i.his_smoking  

 
  mi stset ed_IHD, fail(ca_IHD== 1)   enter(bc_diagdate)  origin(bc_diagdate)  exit(time mdy(12,31,2017)) scale (365.24) id (studiepersonid)
 mi estimate,eform :stcox ib1.radio age_diagnosis i.calendar 
  mi estimate,eform :stcox i.chemo_cate age_diagnosis i.calendar 
   mi estimate,eform :stcox i.horm_adjuvant_type age_diagnosis i.calendar 
    mi estimate,eform :stcox i.her2_status_def age_diagnosis i.calendar 
 mi estimate,eform :stcox ib1.radio i.horm_adjuvant_type i.chemo_cate age_diagnosis i.calendar i.stage i.menopause_cat i.cc_index_cat  i.surgery_cat  i.size_cat i.his_hypertension i.his_smoking  
 mi estimate,eform :stcox i.her2_status_def ib1.radio i.horm_adjuvant_type i.chemo_cate age_diagnosis i.calendar i.stage i.menopause_cat i.cc_index_cat  i.surgery_cat  i.size_cat i.his_hypertension i.his_smoking  

/*results for time intervals < 10 years and >10 years after diagnosis of breast cancer in supplementary table 3*/
  mi stset ed_Arrhythmia, fail(ca_Arrhythmia== 1)   enter(bc_diagdate)  origin(bc_diagdate)  exit(time bc_diagdate+10*365.24) scale (365.24) id (studiepersonid)
 mi estimate,eform :stcox ib1.radio i.horm_adjuvant_type i.chemo_cate age_diagnosis i.calendar i.stage i.menopause_cat i.cc_index_cat  i.surgery_cat  i.size_cat i.his_hypertension i.his_smoking  
  mi estimate,eform :stcox i.her2_status_def ib1.radio i.horm_adjuvant_type i.chemo_cate age_diagnosis i.calendar i.stage i.menopause_cat i.cc_index_cat  i.surgery_cat  i.size_cat i.his_hypertension i.his_smoking  
 mi stset ed_Arrhythmia, fail(ca_Arrhythmia== 1)   enter(time bc_diagdate+10*365.24)  origin(bc_diagdate)   scale (365.24) id (studiepersonid)
 mi estimate,eform :stcox ib1.radio i.horm_adjuvant_type i.chemo_cate age_diagnosis i.calendar i.stage i.menopause_cat i.cc_index_cat  i.surgery_cat  i.size_cat i.his_hypertension i.his_smoking  
 mi estimate,eform :stcox i.her2_status_def ib1.radio i.horm_adjuvant_type i.chemo_cate age_diagnosis i.calendar i.stage i.menopause_cat i.cc_index_cat  i.surgery_cat  i.size_cat i.his_hypertension i.his_smoking  

 
  mi stset ed_Heart_fail, fail(ca_Heart_fail== 1)   enter(bc_diagdate)  origin(bc_diagdate)  exit(time bc_diagdate+10*365.24) scale (365.24) id (studiepersonid)
 mi estimate,eform :stcox ib1.radio i.horm_adjuvant_type i.chemo_cate age_diagnosis i.calendar i.stage i.menopause_cat i.cc_index_cat  i.surgery_cat  i.size_cat i.his_hypertension i.his_smoking  
  mi estimate,eform :stcox i.her2_status_def ib1.radio i.horm_adjuvant_type i.chemo_cate age_diagnosis i.calendar i.stage i.menopause_cat i.cc_index_cat  i.surgery_cat  i.size_cat i.his_hypertension i.his_smoking  
 mi stset ed_Heart_fail, fail(ca_Heart_fail== 1)   enter(time bc_diagdate+10*365.24)  origin(bc_diagdate)   scale (365.24) id (studiepersonid)
 mi estimate,eform :stcox ib1.radio i.horm_adjuvant_type i.chemo_cate age_diagnosis i.calendar i.stage i.menopause_cat i.cc_index_cat  i.surgery_cat  i.size_cat i.his_hypertension i.his_smoking  
  mi estimate,eform :stcox i.her2_status_def ib1.radio i.horm_adjuvant_type i.chemo_cate age_diagnosis i.calendar i.stage i.menopause_cat i.cc_index_cat  i.surgery_cat  i.size_cat i.his_hypertension i.his_smoking  

  
  mi stset ed_IHD, fail(ca_IHD== 1)   enter(bc_diagdate)  origin(bc_diagdate)  exit(time bc_diagdate+10*365.24) scale (365.24) id (studiepersonid)
 mi estimate,eform :stcox ib1.radio i.horm_adjuvant_type i.chemo_cate age_diagnosis i.calendar i.stage i.menopause_cat i.cc_index_cat  i.surgery_cat  i.size_cat i.his_hypertension i.his_smoking  
  mi estimate,eform :stcox i.her2_status_def ib1.radio i.horm_adjuvant_type i.chemo_cate age_diagnosis i.calendar i.stage i.menopause_cat i.cc_index_cat  i.surgery_cat  i.size_cat i.his_hypertension i.his_smoking  
 mi stset ed_IHD, fail(ca_IHD== 1)   enter(time bc_diagdate+10*365.24)  origin(bc_diagdate)   scale (365.24) id (studiepersonid)
 mi estimate,eform :stcox ib1.radio i.horm_adjuvant_type i.chemo_cate age_diagnosis i.calendar i.stage i.menopause_cat i.cc_index_cat  i.surgery_cat  i.size_cat i.his_hypertension i.his_smoking  
 mi estimate,eform :stcox i.her2_status_def ib1.radio i.horm_adjuvant_type i.chemo_cate age_diagnosis i.calendar i.stage i.menopause_cat i.cc_index_cat  i.surgery_cat  i.size_cat i.his_hypertension i.his_smoking  
